That version of MooseEdit (the latest) should work with the latest version of D:OS Classic.
What are you having a problem with, installation, startup / configuration or editing saves?